var isIE6=false;
if ($.browser.msie && ($.browser.version == "6.0") && !$.support.style) {
	isIE6 = true;
}
//加入收藏:
function addFavorite(){
	var siteurl='http://www.qupu123.com/';
	var sitename='中国曲谱网';
    if (document.all){
        try{
            window.external.addFavorite(siteurl,sitename);
        }catch(e){
            alert( "加入收藏失败，请使用Ctrl+D进行添加" );
        }
    }else if (window.sidebar){
        window.sidebar.addPanel(sitename,siteurl,"");
     }else{
        alert( "加入收藏失败，请使用Ctrl+D进行添加" );
    }
}
//-------------------------------------------------TAB切换

function setNews(strs){
	$(".news .item span").removeClass('current');
	$("#Text"+strs).addClass('current');
	$(".news .list").hide();
	$("."+strs).show();
}

//设为首页:
function setHomepage(){
	var siteurl='http://www.akcms.com/';
    if (document.all){
        document.body.style.behavior='url(#default#homepage)';
          document.body.setHomePage(siteurl);
    }else if (window.sidebar){
        if(window.netscape){
            try{
                netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
            }catch (e){
                alert( "该操作被浏览器拒绝，如果想启用该功能，请在地址栏内输入 about:config,然后将项 signed.applets.codebase_principal_support 值该为true" );
            }
        }
        var prefs = Components.classes['@mozilla.org/preferences-service;1'].getService(Components. interfaces.nsIPrefBranch);
        prefs.setCharPref('browser.startup.homepage',siteurl);
    }else{
        alert('您的浏览器不支持自动自动设置首页, 请使用浏览器菜单手动设置!');
    }
}
//过滤评论
function vchar(str) {
	str = str.replace(/\+/g, "%2B"); 
	str = str.replace(/\&/g, "%26");
	return str;
}
//返回顶部按钮
$(function() {
	if($(document.body).width()>1030 && isIE6!=true){
		var $backToTopTxt = "返回顶部", $backToTopEle = $('<div class="backToTop"></div>').appendTo($("body"))
			.text($backToTopTxt).attr("title", $backToTopTxt).click(function() {
				$("html, body").animate({ scrollTop: 0 }, 120);
		}), $backToTopFun = function() {
			var st = $(document).scrollTop(), winh = $(window).height();
			(st > 0)? $backToTopEle.show(): $backToTopEle.hide();    
			//IE6下的定位
			if (!window.XMLHttpRequest) {
				$backToTopEle.css("top", st + winh - 166);
			}
		};
		$(window).bind("scroll", $backToTopFun);
		$(function() { $backToTopFun(); });
	}
});